local buttons = {
	{
		text = "Movable Tradeskill Frame",
		op = "movable",
		updateFunc = function() 
			local fts = FilterTradeSkill
			fts:ClearFramePosition()
			fts:UpdateMovable() 
			fts:UpdateLockButton()
		end,
		tooltiplines = {
			"|cffffffffMovable Tradeskill Frame|r",
			"When checked, the tradeskill frame will be movable."
		}
	},
	{
		text = "Text box Auto-Focus",
		op = "autoFocus",
		tooltiplines = {
			"|cffffffffAuto-Focus|r",
			"When checked, the search box will receive the focus when you first open the tradeskill frame."
		}
	}

}

FilterTradeSkillCheckButton = setmetatable({},FilterTradeSkillElement)
local checkbutton = FilterTradeSkillCheckButton

function checkbutton:new(o)
	o.config = buttons[o:GetID()]
	FilterTradeSkillElement.new(self,o)	
	o:SetScript("OnClick",function() o:OnClick() end)
end

function checkbutton:Initialize()
	getglobal(self:GetName().."Text"):SetText(self.config.text)
end

function checkbutton:OnClick()
	self.db[self.config.op] = self:GetChecked()
	local f = self.config.updateFunc
	if(f) then f() end
end

function checkbutton:OnShow()
	self:SetChecked(self.db[self.config.op])
end