FilterTradeSkillSlider = setmetatable({},FilterTradeSkillElement)
local slider = FilterTradeSkillSlider

local sliders = {
	{
		text = "Tradeskills to show: ",
		high = "20",
		low = "8",
		op = "ShownSkills",
		tooltiplines = {
			"|cffffffffShown Tradeskills",
			"Adjusts the number of tradeskills to show at once"
		},
		updateFunc = function() FilterTradeSkill:Resize() end,
	},
	{
		text = "Frame Vertical Offset: ",
		high = "100",
		low = "-100",
		op = "yOffset",
		tooltiplines = {
			"|cffffffffVertical Offset|r",
			"Adjusts the vertical placement of the frame when it is docked on the left side of the screen"
		},
		updateFunc = function() FilterTradeSkill:AttachToAnchorFrame() end,
	}
}

function slider:new(o)
	o.config = sliders[o:GetID()]
	FilterTradeSkillElement.new(self,o)		
	o:SetScript("OnValueChanged",function() o:OnValueChanged() end)
end

function slider:Initialize()
	local n = self:GetName()
	self.text = getglobal(n.."Text")
	getglobal(n.."High"):SetText(self.config.high)
	getglobal(n.."Low"):SetText(self.config.low)
	--self:SetMinMaxValues(self.config.low,self.config.high)
end

function slider:OnValueChanged()
	if(self.disabled) then return end
	self.db[self.config.op] = self:GetValue()
	self.text:SetText(self.config.text..self:GetValue())
	local f = self.config.updateFunc
	if(f) then f() end
end

function slider:OnShow()
	if(not self.db) then return end
	self:SetValue(self.db[self.config.op])
	self.text:SetText(self.config.text..self:GetValue())
end

function slider:Enable()
	OptionsFrame_EnableSlider(self)
	self.disabled = nil
	self:OnShow()
end

function slider:Disable()
	OptionsFrame_DisableSlider(self)
	self.disabled = true
end